org.apache.ignite.internal

## Enum GridComponent.DiscoveryDataExchangeType

- java.lang.Object
- - java.lang.Enum<GridComponent.DiscoveryDataExchangeType>
  - - org.apache.ignite.internal.GridComponent.DiscoveryDataExchangeType

All Implemented Interfaces:
  Serializable, Comparable<GridComponent.DiscoveryDataExchangeType>

Enclosing interface:
  GridComponent

    public static enum GridComponent.DiscoveryDataExchangeType
    extends Enum<GridComponent.DiscoveryDataExchangeType>

Unique component type for discovery data exchange.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CACHE_PROC`
`CLUSTER_PROC`
`CONTINUOUS_PROC`
`PLUGIN`

### Method Summary

Methods
`static GridComponent.DiscoveryDataExchangeType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridComponent.DiscoveryDataExchangeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONTINUOUS_PROC

    public static final GridComponent.DiscoveryDataExchangeType CONTINUOUS_PROC

#### CACHE_PROC

    public static final GridComponent.DiscoveryDataExchangeType CACHE_PROC

#### PLUGIN

    public static final GridComponent.DiscoveryDataExchangeType PLUGIN

#### CLUSTER_PROC

    public static final GridComponent.DiscoveryDataExchangeType CLUSTER_PROC

### Method Detail

#### values

    public static GridComponent.DiscoveryDataExchangeType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridComponent.DiscoveryDataExchangeType c : GridComponent.DiscoveryDataExchangeType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridComponent.DiscoveryDataExchangeType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016